> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create connect event

> Creates a new user generated [Corbado Connect](https://docs.corbado.com/corbado-connect) event.



## OpenAPI

````yaml /api-reference/openapi/connect-frontend.yaml post /v2/connect/events
openapi: 3.1.1
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.cloud.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
    x-group: Passkey flows
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
    x-group: App association and keys
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: OIDC
    description: All API calls that are related to OpenID Connect
paths:
  /v2/connect/events:
    post:
      tags:
        - CorbadoConnect
      summary: Create connect event
      description: >-
        Creates a new user generated [Corbado
        Connect](https://docs.corbado.com/corbado-connect) event.
      operationId: ConnectEventCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/connectEventCreateReq'
      responses:
        '204':
          description: tbd
      security:
        - connectProcess: []
components:
  schemas:
    connectEventCreateReq:
      type: object
      required:
        - eventType
      properties:
        eventType:
          $ref: '#/components/schemas/passkeyEventType'
        message:
          type: string
        challenge:
          type: string
    passkeyEventType:
      type: string
      enum:
        - login-explicit-abort
        - login-error
        - login-error-untyped
        - login-error-unexpected
        - login-one-tap-switch
        - login-no-credentials
        - user-append-after-cross-platform-blacklisted
        - user-append-after-login-error-blacklisted
        - append-credential-exists
        - append-explicit-abort
        - append-error
        - append-error-unexpected
        - append-learn-more
        - manage-error-unexpected
        - manage-error
        - manage-learn-more
        - manage-credential-exists
        - manage-delete-explicit-abort
        - local-unlock
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`
    connectProcess:
      type: apiKey
      in: header
      name: X-Corbado-Process-ID
      description: >-
        The process token returned by the corresponding Connect initialization
        endpoint. SDKs manage it automatically.

````